Stored User Names and Passwords

Stored User Names and Passwords is a feature of Windows XP that stores user names and passwords for servers. This allows a user to connect to servers using user names and passwords that are different than those used to log on. The user can store these for later reuse.

  • Before using Stored User Names and Passwords, see Checklist: Using Stored User Names and Passwords safely.
  • For tips about using Stored User Names and Passwords, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Using Stored User Names and Passwords safely

Step | Reference
Ensure strong passwords are used when creating accounts for remote resources | Creating strong passwords
Ensure strong passwords are used when creating local computer or domain accounts | Creating strong passwords
Secure your computer whenever not in use | Creating strong passwords
Use a different strong password for all resources | Creating strong passwords


Best practices

    Protect your account

  • Storing user names and passwords as part of your user account information means that anyone who has access to your account can access that stored information. Users must protect their account from misuse. Locking or logging off of computers when they not attended, providing password protection to screen savers, and ensuring the use of strong passwords are elements that contribute to the protection of the account. For more information on locking a computer, see To lock a computer.

    • Use strong passwords for all accounts

  • The risk of using weak passwords is not removed by Stored User Names and Passwords. To protect against this, use strong passwords to protect against an intruder guessing or stealing the password. For more information, see Creating strong passwords.

    • Change passwords regularly

  • Although a strong password can help protect against intruders, it is possible to eventually guess or steal the password of a resource. For this reason, passwords should be changed periodically. This not only minimizes chances that an intruder can guess or steal a password through lengthy password-guessing processes, but also minimizes damages when a password is compromised without the user's knowledge. For more information, see To change your password.

    • Use different passwords for individual accounts

  • Stored User Names and Passwords allows the user to supply a different user name and password to each computer that is used. This provides for additional security on a per-computer basis. Using different passwords for each computer helps ensure that one guessed or stolen password does not weaken security. If an intruder is able to determine one password that is stored by Stored User Names and Passwords and all other passwords are different, the intruder is limited to the damage they can do with that single password.

    • Store user names and passwords only when appropriate

  • User name and passwords that are used to access extremely sensitive resources must be protected carefully. In these cases, store the user names and passwords only for the specific logon session by choosing the appropriate option in Logon Information Properties.


How to...

  • Store a new user name and password
  • Store default Passport information
  • View and modify stored user names and passwords
  • Delete stored user names and passwords
  • Change a domain password


Store a new user name and password

Microsoft Windows graphic

To store a new user name and password

  1. Open Stored User Names and Passwords.
  2. Click Add and type the information in the spaces that are provided.

Note

  • XOX If your computer is joined to a domain, click the Advanced tab, then click Manage Passwords. If your computer is not joined to a domain, click your account name and then, in Related Tasks box, click Manage my network passwords.
  • XOX

Related Topics


Store default Passport information

Microsoft Windows graphic

To store default Passport information

  1. Open .NET Passport Wizard.
  2. Provide the information requested by the .NET Passport Wizard.

Notes

  • XOX If your computer is joined to a domain, click the Advanced tab, then click Passport Wizard. If your computer is not joined to a domain, click your account name and then, in What do you want to change about your account? box, click Set up my account to use a .NET Passport.
  • XOX
  • You may also encounter the Passport Wizard when accessing Web sites that support Passport information.
  • You can only store one Passport user name and password per user at a time.
  • Passports can only be created or associated with your user account through this wizard. You can only change the Passport properties on the Passport Web site.

Related Topics


View and modify stored user names and passwords

Microsoft Windows graphic

To view and modify stored user names and passwords

  1. Open Stored User Names and Passwords.
  2. Click the desired entry in the list, then click Properties.

Note

  • XOX If your computer is joined to a domain, click the Advanced tab, then click Manage Passwords. If your computer is not joined to a domain, click your account name and then, in Related Tasks box, click Manage my network passwords.
  • XOX

Related Topics


Delete stored user names and passwords

Microsoft Windows graphic

To delete stored user names and passwords

  1. Open Stored User Names and Passwords.
  2. Click the desired entry, then click Remove.

Note

  • XOX If your computer is joined to a domain, click the Advanced tab, then click Manage Passwords. If your computer is not joined to a domain, click your account name and then, in Related Tasks box, click Manage my network passwords.
  • XOX

Related Topics


Change a domain password

Microsoft Windows graphic

To change a domain password

  1. Open Stored User Names and Passwords.
  2. Click an entry that is in the domain you want to change the password for, and then click Properties.
  3. Click Change, and then supply the necessary information.

Note

  • XOX If your computer is joined to a domain, click the Advanced tab, then click Manage Passwords. If your computer is not joined to a domain, click your account name and then, in Related Tasks box, click Manage my network passwords.
  • XOX

Related Topics


Concepts

This section provides general background information about Stored User Names and Passwords:

  • Stored User Names and Passwords overview
  • Benefits of Stored User Names and Passwords
  • How Stored User Names and Passwords works


Stored User Names and Passwords overview

When you log on to a computer running Windows XP, you can supply a user name and password. This becomes your default security context for connecting to other computers on networks and over the Internet. However, this user name and password may not provide access to all desired resources. Stored User Names and Passwords provides a way to store these as a part of your profile.

There may be cases where you want to use different names and passwords for connecting to different resources. Examples could include:

  • You want to log on to your computer with a standard account but connect to certain computers as an administrator for maintenance and troubleshooting reasons.
  • You work at home and want to use your work user name and password to connect to work-related servers.
  • Your account is in a domain and you need access to computers in an untrusted domain.
  • You want to access Web sites with user names and passwords specific to each of those sites.
For example, administrators may log on to the network using their standard user name and password but need to connect to a remote server with administrative access to perform specific functions. In this case, the user must be able to supply a different user name and password for this connection. The user may also want to store this user name and password for reuse at a later date. This is the function of Stored User Names and Passwords.

A user may also need to connect to secure Web servers using a specific user name and password. Stored User Names and Passwords allows users to connect to different Web servers using supplied user names and passwords and store them for future reuse. The user names and passwords can be either specific to a unique Web server or they can be generic so that they will be supplied when the user attempts to log on to a secured Web server.

Stored User Names and Passwords also stores saved information as part of a user's profile. This means that these user names and passwords will travel with the user from computer to computer anywhere on the network.


Benefits of Stored User Names and Passwords

The benefits of Stored User Names and Passwords include:

  • The user has a single sign-on experience.
  • The user does not need to log off and on to supply multiple user names and passwords for different computers.
  • The user can store any number of user names and passwords to be reused later.
  • The user can store user names and passwords in a user's profile to provide portability and privacy of the user names and passwords.
  • The user can supply different strong passwords for a variety of resources and store them in a single and easy-to-use location.


How Stored User Names and Passwords works

Stored User Names and Passwords obtains its information in two ways: explicit creation and learning from the user. When users enter a user name and password for a target computer or domain, that information is stored and used when the users attempt to log on to an appropriate computer. If no stored information is available and users supply a user name and password, they have the ability to save the information. If the user decides to save the information, Stored User Names and Passwords then receives and stores it.

When Windows XP attempts to connect to a new computer on the network, it supplies the current user name and password to the computer. If this is not sufficient to provide access, Stored User Names and Passwords will attempt to supply the necessary user name and password. All stored user names and passwords will be examined, from most specific to least specific as appropriate to the resource, and the connection will be attempted with those user names and passwords in that order. Because user names and passwords are read and applied in order from most to least specific, no more than one user name and password can be stored for each individual target or domain.

Stored User Names and Passwords also allows the user to save the supplied user name and password for reuse. This information is stored in a secure part of the user's profile and cannot be accessed by other users. If the user is configured to use a single profile across the enterprise, the stored user names and passwords will be retained wherever the user logs on to the network.


Troubleshooting Stored User Names and Passwords

What problem are you having?

Connects to computers with the wrong access level or account

Cause: A user name and password was stored for this account that is providing more or less access to resources than expected.

Solution: Remove the stored user name and password by following the steps in To delete stored user names and passwords.

Cannot connect to resources that were previously available.

Cause: A user name and password was stored for this account that has expired or has changed its password without updating the stored information.

Solution: Correct the stored user name and password by following the steps in To view and modify stored user names and passwords, then try to access the resource again.

Obtains incorrect access while using a shared user account.

Cause: A user name and password was stored for this shared user account that provides access to this resource.

Solution: Remove the stored user name and password by following the steps in To delete stored user names and passwords. To ensure this problem does not reoccur, disable Stored User Names and Passwords for this shared user account by using a Group Policy object. For more information on creating Group Policy objects, see Group Policy.